Bug 379981 - exception crash while installing new software
exception crash while installing new software
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 08:27 EST by Vern Poythress
Modified: 2007-12-31 09:51 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:51:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vern Poythress 2007-11-13 08:27:40 EST
Description of problem: exception crash in pirut


Version-Release number of selected component (if applicable):


How reproducible: not reproducible.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
dump: Component: pirut
Summary: TB0b398516 connection.py:603:call_blocking:DBusException:
org.freedesktop.DBus.Error.ServiceUnknown: The name :1.5 was not provided by any
.service files

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 363, in _apply
    output = self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 802, in
applyChanges
    dlpkgs = self.downloadPackages(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 500, in
downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 891, in downloadPkgs
    cache=po.repo.http_caching != 'none',
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 640, in getPackage
    cache=cache
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 574, in _getFile
    result = self.mediafunc(local = local, checkfunc = checkfunc, relative =
relative, text = text, copy_local = copy_local, url = url, mediaid =
self.mediaid, name = self.name, discnum = discnum, range = (start, end))
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 154, in
pirutCDHandler
    cddevs = hal.FindDeviceByCapability('storage.cdrom')
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 135, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.5 was not
provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x99cbf8c>
args: ('storage.cdrom',)
utf8_strings: False
bus_name: :1.5
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/Hal/Manager
timeout: -1.0
signature: s
dbus_interface: org.freedesktop.Hal.Manager
message: <dbus.lowlevel.MethodCallMessage object at 0x973a330>
method: FindDeviceByCapability
Comment 1 Jeremy Katz 2007-11-13 08:50:46 EST
Is the hal service running?
Comment 2 Vern Poythress 2007-11-15 09:21:17 EST
Yes, haldaemon was (and is) in the background.
Comment 3 Jeremy Katz 2007-11-15 20:00:05 EST
Okay, fixed in CVS and will be in the update that gets pushed soon
Comment 4 Fedora Update System 2007-11-20 12:50:00 EST
pirut-1.3.26-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pirut'
Comment 5 Fedora Update System 2007-11-28 20:33:58 EST
pirut-1.3.27-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pirut'
Comment 6 Fedora Update System 2007-12-06 15:45:25 EST
pirut-1.3.28-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-12-06 15:55:03 EST
pirut-1.3.28-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jeremy Katz 2007-12-31 09:51:57 EST
New versions of pirut have been released that should address these issues

Note You need to log in before you can comment on or make changes to this bug.